> For the complete documentation index, see [llms.txt](https://developer.aiodds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.aiodds.com/bookmaker-odds/basic-data/tournament.md).

# Tournament

## Search tournaments

> Lists tournaments with their sport, location, name, and logo. Results can be filtered by sport or location and returned in pages.

```json
{"openapi":"3.0.1","info":{"title":"AiOdds Document","version":"1.0.0"},"tags":[{"name":"Basic / Tournament","description":"Basic tournament endpoints."}],"servers":[{"url":"https://api.aiodds.com"}],"paths":{"/v1/tournament/list":{"get":{"summary":"Search tournaments","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetV1TournamentListResponse"}}}}},"tags":["Basic / Tournament"],"description":"Lists tournaments with their sport, location, name, and logo. Results can be filtered by sport or location and returned in pages.","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"},"description":"return the maximum number of data, the default is 1000, range: [1, 1000]"},{"name":"last_id","in":"query","required":false,"schema":{"type":"integer"},"description":"max tournament id in last page, only return tournaments with id>last_id."},{"name":"sport_id","in":"query","required":false,"schema":{"type":"integer"},"description":"sport id"},{"name":"location_id","in":"query","required":false,"schema":{"type":"integer"},"description":"location id"},{"name":"lang","in":"query","required":false,"schema":{"type":"string"},"description":"language, please refer to STATUS CODE -> Language"}]}}},"components":{"schemas":{"GetV1TournamentListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"Status code"},"msg":{"type":"string","description":"Message description"},"data":{"type":"object","properties":{"limit":{"type":"integer","description":"Maximum number of returned records"},"total":{"type":"integer","description":"Total number of records"},"list":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Tournament id"},"sport_id":{"type":"integer","description":"Sport id"},"sub_sport_id":{"type":"integer","description":"Sub-sport id <br/> 101-LOL, 102-CSGO, 103-DOTA2, 106-KOG <br/> Only available for sport type 100-Esports, other sports will return 0"},"country_id":{"type":"integer","description":"Country id (Deprecated)"},"name":{"type":"string","description":"Tournament name"},"logo":{"type":"string","description":"Tournament logo"},"location_id":{"type":"integer","description":"Location id"}}},"description":"List of returned items"}},"description":"Response payload"}}}},"parameters":{"User":{"name":"user","in":"query","required":true,"schema":{"type":"string"},"description":"Username, please contact business."},"Secret":{"name":"secret","in":"query","required":true,"schema":{"type":"string"},"description":"User secret, please contact business."}}}}
```

## Get tournament by ID

> Returns the sport, location, name, and logo of a specific tournament.

```json
{"openapi":"3.0.1","info":{"title":"AiOdds Document","version":"1.0.0"},"tags":[{"name":"Basic / Tournament","description":"Basic tournament endpoints."}],"servers":[{"url":"https://api.aiodds.com"}],"paths":{"/v1/tournament/get":{"get":{"summary":"Get tournament by ID","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetV1TournamentGetResponse"}}}}},"tags":["Basic / Tournament"],"description":"Returns the sport, location, name, and logo of a specific tournament.","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"id","in":"query","required":true,"schema":{"type":"integer"},"description":"tournament id"},{"name":"lang","in":"query","required":false,"schema":{"type":"string"},"description":"language, please refer to STATUS CODE -> Language"}]}}},"components":{"schemas":{"GetV1TournamentGetResponse":{"type":"object","properties":{"code":{"type":"integer","description":"Status code"},"msg":{"type":"string","description":"Message description"},"data":{"type":"object","properties":{"id":{"type":"integer","description":"Tournament id"},"sport_id":{"type":"integer","description":"Sport id"},"sub_sport_id":{"type":"integer","description":"Sub-sport id <br/> 101-LOL, 102-CSGO, 103-DOTA2, 106-KOG <br/> Only available for sport type 100-Esports, other sports will return 0"},"country_id":{"type":"integer","description":"Country id (Deprecated)"},"name":{"type":"string","description":"Tournament name"},"logo":{"type":"string","description":"Tournament logo"},"location_id":{"type":"integer","description":"Location id"}},"description":"Response payload"}}}},"parameters":{"User":{"name":"user","in":"query","required":true,"schema":{"type":"string"},"description":"Username, please contact business."},"Secret":{"name":"secret","in":"query","required":true,"schema":{"type":"string"},"description":"User secret, please contact business."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.aiodds.com/bookmaker-odds/basic-data/tournament.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
